<?php

if (file_exists("data/fonts/body-size.txt")) {
	$maj_font_Dpx = file_get_contents("data/fonts/body-size.txt") . "px";
}
else {
	$maj_font_Dpx = "11px";
}

if (file_exists("data/fonts/input-size.txt")) {
	$maj_font_Ipx = file_get_contents("data/fonts/input-size.txt") . "px";
}
else {
	$maj_font_Ipx = "12px";
}

if (file_exists("data/fonts/panel-title-size.txt")) {
	$maj_font_Lpx = file_get_contents("data/fonts/panel-title-size.txt") . "px";
}
else {
	$maj_font_Lpx = "12px";
}

if (file_exists("data/fonts/panel-body-size.txt")) {
	$maj_font_Mpx = file_get_contents("data/fonts/panel-body-size.txt") . "px";
}
else {
	$maj_font_Mpx = "11px";
}

if (file_exists("data/fonts/panel-footer-size.txt")) {
	$maj_font_Spx = file_get_contents("data/fonts/panel-footer-size.txt") . "px";
}
else {
	$maj_font_Spx = "9px";
}

if (file_exists("data/round.txt")) {
	$maj_border_radius = file_get_contents("data/round.txt") . "px";
}
else {
	$maj_border_radius = "5px";
}

if (file_exists("data/shadow.txt")) {
	$maj_blur_distance = file_get_contents("data/shadow.txt") . "px";
}
else {
	$maj_blur_distance = "2px";
}

?>

<style>

* {
	outline: none;
	font-size: <?php echo $maj_font_Dpx; ?>;
}

td {
	font-size: <?php echo $maj_font_Dpx; ?>;
}

body {
	padding: 0px;
	margin: 0px;
	color: #666666;
	background-color: #ffffff;
	text-align: left;
	font-family: "lucida grande","arial","helvetica","sans-serif";
	<?php

	echo "font-size: $maj_font_Dpx;";

	if (file_exists("data/colors/font.txt")) {
		$maj_font_color = file_get_contents("data/colors/font.txt");
		echo "\n\tcolor: $maj_font_color;";
	}

	if (file_exists("data/fonts/body.txt")) {
		$maj_font_body = file_get_contents("data/fonts/body.txt");
		echo "\n\tfont-family: \"$maj_font_body\",\"lucida grande\",\"arial\",\"helvetica\",\"sans-serif\";";
	}
	
	if (file_exists("data/colors/bg.txt")) {
		$maj_background_color = file_get_contents("data/colors/bg.txt");
		if ($maj_background_color == "transparent") {
			echo "\n\tbackground-color: #ffffff;";
		}
		else {
		echo "\n\tbackground-color: $maj_background_color;";
		}
	}

	if (file_exists("images/background.gif") or file_exists("images/background.jpg") or file_exists("images/background.png")) {

		if (file_exists("images/background.gif") and !file_exists("images/background.jpg") and !file_exists("images/background.png")) {
			echo "\n\tbackground-image: url(\"images/background.gif\");";
		}
		
		if (!file_exists("images/background.gif") and file_exists("images/background.jpg") and !file_exists("images/background.png")) {
			echo "\n\tbackground-image: url(\"images/background.jpg\");";
		}
		
		if (!file_exists("images/background.gif") and !file_exists("images/background.jpg") and file_exists("images/background.png")) {
			echo "\n\tbackground-image: url(\"images/background.png\");";
		}
		
		echo "\n\tbackground-attachment: ";
		
		if (file_exists("data/bg-scroll.txt")) {
			echo "scroll";
		}
		else {
			echo "fixed";
		}
		
		echo ";";
		
		echo "\n\tbackground-repeat: ";
		
		if (file_exists("data/bg-repeat.txt")) {
			readfile("data/bg-repeat.txt");
		}
		else {
			echo "repeat";
		}
		
		echo ";";
		
		echo "\n\tbackground-position: ";
		
		if (file_exists("data/bg-position.txt")) {
			readfile("data/bg-position.txt");
		}
		else {
			echo "top left";
		}

		echo ";";
	}

	echo "\n";
	
	?>
}

a {
	font-weight: bold;
	text-decoration: none;
}

a:link {
	<?php

	if (file_exists("data/colors/link.txt")) {
		$maj_a_link_color = file_get_contents("data/colors/link.txt");
		echo "color: $maj_a_link_color;";
	}
	else {
		echo "color: #666666;";
	}

	echo "\n";
	
	?>
}

a:visited {
	<?php
	
	if (file_exists("data/colors/vlink.txt")) {
		$maj_a_visited_color = file_get_contents("data/colors/vlink.txt");
		echo "color: $maj_a_visited_color;";
	}
	else {
		echo "color: #666666;";
	}
	
	echo "\n";

	?>
}

a:hover {
	<?php

	if (file_exists("data/colors/hover.txt")) {
		$maj_a_hover_color = file_get_contents("data/colors/hover.txt");
		echo "color: $maj_a_hover_color;";
	}
	else {
		echo "color: #336699;";
	}
	
	echo "\n";

	?>
}

a:active {
	<?php

	if (file_exists("data/colors/hover.txt")) {
		$maj_a_active_color = file_get_contents("data/colors/hover.txt");
		echo "color: $maj_a_active_color;";
	}
	else {
		echo "color: #336699;";
	}
	
	echo "\n";

	?>
}

a.navlink:link,a.navlink:visited,a.navlink:active,a.navlink:hover {
	font-weight: normal;
	text-decoration: none;
}

a.status:link,a.status:visited,a.status:active,a.status:hover {
	<?php

	echo "font-size: $maj_font_Spx;\n";

	?>
}

	<?php

	if (file_exists("data/round.txt") or file_exists("data/shadow.txt")) {
		echo ".panel_wrapper {";	
	}

	if (file_exists("data/round.txt")) {
		echo "\n\t-webkit-border-radius: $maj_border_radius;";
		echo "\n\t-khtml-border-radius: $maj_border_radius;";
		echo "\n\t-moz-border-radius: $maj_border_radius;";
		echo "\n\tborder-radius: $maj_border_radius;";
	}
	
	if (file_exists("data/shadow.txt")) {
		echo "\n\t-moz-box-shadow: 0 0 $maj_blur_distance #ddd;";
		echo "\n\t-webkit-box-shadow: 0 0 $maj_blur_distance #ddd;";
		echo "\n\t-khtml-box-shadow: 0 0 $maj_blur_distance #ddd;";
		echo "\n\tbox-shadow: 0 0 $maj_blur_distance #ddd;";
	}
	
	if (file_exists("data/round.txt") or file_exists("data/shadow.txt")) {
		echo "}";
	}
	
	?>

.panel_title {
	padding: 4px;
	margin: 0px;
	color: #666666;
	background-color: transparent;
	border-color: #dedede;
	border-width: 1px 1px 0px 1px;
	border-style: solid solid none solid;
	font-family: "lucida grande","arial","helvetica","sans-serif";
	font-weight: bold;
	<?php

	echo "font-size: $maj_font_Lpx;";

	if (file_exists("data/round.txt")) {
		echo "\n\t-webkit-border-top-right-radius: $maj_border_radius;";
		echo "\n\t-webkit-border-top-left-radius: $maj_border_radius;";
		echo "\n\t-khtml-border-radius-topright: $maj_border_radius;";
		echo "\n\t-khtml-border-radius-topleft: $maj_border_radius;";
		echo "\n\t-moz-border-radius-topright: $maj_border_radius;";
		echo "\n\t-moz-border-radius-topleft: $maj_border_radius;";
		echo "\n\tborder-top-right-radius: $maj_border_radius;";
		echo "\n\tborder-top-left-radius: $maj_border_radius;";
	}
	
	if (file_exists("data/colors/pt-font.txt")) {
		$maj_panel_title_font_color = file_get_contents("data/colors/pt-font.txt");
		echo "\n\tcolor: $maj_panel_title_font_color;";
	}

	if (file_exists("data/colors/pt-bg.txt")) {
		$maj_panel_title_background_color = file_get_contents("data/colors/pt-bg.txt");
		echo "\n\tbackground-color: $maj_panel_title_background_color;";
	}

	if (file_exists("data/colors/border.txt")) {
		$maj_panel_title_border_color = file_get_contents("data/colors/border.txt");
		echo "\n\tborder-color: $maj_panel_title_border_color;";
	}

	if (file_exists("data/fonts/panel-title.txt")) {
		$maj_font_panel_title = file_get_contents("data/fonts/panel-title.txt");
		echo "\n\tfont-family: \"$maj_font_panel_title\",\"lucida grande\",\"arial\",\"helvetica\",\"sans-serif\";";
	}

	echo "\n";
	
	?>
}

.panel_body, div.panel_body table, div.panel_entry_body table {
	color: #666666;<?php
	if (file_exists("data/colors/pb-font.txt")) {
		$maj_panel_body_font_color = file_get_contents("data/colors/pb-font.txt");
		echo "\n\tcolor: $maj_panel_body_font_color;";
	}
	
	echo "\n";
	
	?>
}

.panel_body {
	padding: 4px;
	margin: 0px 0px 10px 0px;
	background-color: transparent;
	border-color: #dedede;
	border-width: 1px;
	border-style: solid;
	font-family: "lucida grande","arial","helvetica","sans-serif";
	<?php
	
	echo "font-size: $maj_font_Mpx;";
	
	if (file_exists("data/round.txt")) {
		echo "\n\t-webkit-border-bottom-right-radius: $maj_border_radius;";
		echo "\n\t-webkit-border-bottom-left-radius: $maj_border_radius;";
		echo "\n\t-khtml-border-radius-bottomright: $maj_border_radius;";
		echo "\n\t-khtml-border-radius-bottomleft: $maj_border_radius;";
		echo "\n\t-moz-border-radius-bottomright: $maj_border_radius;";
		echo "\n\t-moz-border-radius-bottomleft: $maj_border_radius;";
		echo "\n\tborder-bottom-right-radius: $maj_border_radius;";
		echo "\n\tborder-bottom-left-radius: $maj_border_radius;";
	}
	
	if (file_exists("data/colors/pb-bg.txt")) {
		$maj_panel_body_background_color = file_get_contents("data/colors/pb-bg.txt");
		echo "\n\tbackground-color: $maj_panel_body_background_color;";
	}

	if (file_exists("data/colors/border.txt")) {
		$maj_panel_body_border_color = file_get_contents("data/colors/border.txt");
		echo "\n\tborder-color: $maj_panel_body_border_color;";
	}

	if (file_exists("data/fonts/panel-body.txt")) {
		$maj_font_panel_body = file_get_contents("data/fonts/panel-body.txt");
		echo "\n\tfont-family: $maj_font_panel_body,\"lucida grande\",\"arial\",\"helvetica\",\"sans-serif\";";
	}

	echo "\n";
	
	?>
}

.panel_footer {
	padding: 4px;
	margin: 0px 0px 10px 0px;
	color: #999999;
	background-color: transparent;
	border-color: #dedede;
	border-width: 0px 1px 1px 1px;
	border-style: none solid solid solid;
	text-align: right;
	font-family: "lucida grande","arial","helvetica","sans-serif";
	<?php
	
	echo "font-size: $maj_font_Spx;";
	
	if (file_exists("data/round.txt")) {
		echo "\n\t-webkit-border-bottom-right-radius: $maj_border_radius;";
		echo "\n\t-webkit-border-bottom-left-radius: $maj_border_radius;";
		echo "\n\t-khtml-border-radius-bottomright: $maj_border_radius;";
		echo "\n\t-khtml-border-radius-bottomleft: $maj_border_radius;";
		echo "\n\t-moz-border-radius-bottomright: $maj_border_radius;";
		echo "\n\t-moz-border-radius-bottomleft: $maj_border_radius;";
		echo "\n\tborder-bottom-right-radius: $maj_border_radius;";
		echo "\n\tborder-bottom-left-radius: $maj_border_radius;";
	}
	
	if (file_exists("data/colors/pf-font.txt")) {
		$maj_panel_footer_font_color = file_get_contents("data/colors/pf-font.txt");
		echo "\n\tcolor: $maj_panel_footer_font_color;";
	}

	if (file_exists("data/colors/pf-bg.txt")) {
		$maj_panel_footer_background_color = file_get_contents("data/colors/pf-bg.txt");
		echo "\n\tbackground-color: $maj_panel_footer_background_color;";
	}

	if (file_exists("data/colors/border.txt")) {
		$maj_panel_footer_border_color = file_get_contents("data/colors/border.txt");
		echo "\n\tborder-color: $maj_panel_footer_border_color;";
	}

	if (file_exists("data/fonts/panel-footer.txt")) {
		$maj_font_panel_footer = file_get_contents("data/fonts/panel-footer.txt");
		echo "\n\tfont-family: $maj_font_panel_footer,\"lucida grande\",\"arial\",\"helvetica\",\"sans-serif\";";
	}

	echo "\n";

	?>
}

.panel_free {
	padding: 0px;
	margin: 0px;
}

.panel_entry_body {
	padding: 4px;
	margin: 0px;
	background-color: transparent;
	border-color: #dedede;
	border-width: 1px;
	border-style: solid;
	font-family: "lucida grande","arial","helvetica","sans-serif";
	<?php

	echo "font-size: $maj_font_Mpx;";

	if (file_exists("data/colors/pb-bg.txt")) {
		$maj_panel_body_background_color = file_get_contents("data/colors/pb-bg.txt");
		echo "\n\tbackground-color: $maj_panel_body_background_color;";
	}

	if (file_exists("data/colors/border.txt")) {
		$maj_panel_body_border_color = file_get_contents("data/colors/border.txt");
		echo "\n\tborder-color: $maj_panel_body_border_color;";
	}

	if (file_exists("data/fonts/panel-body.txt")) {
		$maj_font_panel_body = file_get_contents("data/fonts/panel-body.txt");
		echo "\n\tfont-family: $maj_font_panel_body,\"lucida grande\",\"arial\",\"helvetica\",\"sans-serif\";";
	}

	echo "\n";
	
	?>
}

.panel_category {
	padding: 4px;
	margin: 0px;
	color: #999999;
	background-color: transparent;
	border-color: #dedede;
	border-width: 0px 1px 1px 1px;
	border-style: none solid solid solid;
	text-align: left;
	font-family: "lucida grande","arial","helvetica","sans-serif";
	<?php

	echo "font-size: $maj_font_Spx;";

	if (file_exists("data/colors/pf-font.txt")) {
		$maj_panel_category_font_color = file_get_contents("data/colors/pf-font.txt");
		echo "\n\tcolor: $maj_panel_category_font_color;";
	}

	if (file_exists("data/colors/pf-bg.txt")) {
		$maj_panel_category_background_color = file_get_contents("data/colors/pf-bg.txt");
		echo "\n\tbackground-color: $maj_panel_category_background_color;";
	}

	if (file_exists("data/colors/border.txt")) {
		$maj_panel_category_border_color = file_get_contents("data/colors/border.txt");
		echo "\n\tborder-color: $maj_panel_category_border_color;";
	}

	if (file_exists("data/fonts/panel-footer.txt")) {
		$maj_font_panel_category = file_get_contents("data/fonts/panel-footer.txt");
		echo "\n\tfont-family: $maj_font_panel_category,\"lucida grande\",\"arial\",\"helvetica\",\"sans-serif\";";
	}
	
	echo "\n";
	
	?>
}

.input {
	padding: 2px;
	width: 300px; 
	color: #666666; 
	background: #ffffff;
	border: #999999 solid 1px;
	font-family: "lucida grande","arial","helvetica","sans-serif";
	<?php
	
	echo "font-size: $maj_font_Ipx;";

	if (file_exists("data/colors/pb-font.txt")) {
		$maj_input_color = file_get_contents("data/colors/pb-font.txt");
		echo "\n\tcolor: $maj_input_color;";
	}

	if (file_exists("data/colors/border.txt")) {
		$maj_input_border_color = file_get_contents("data/colors/border.txt");
		echo "\n\tborder-color: $maj_input_border_color;";
	}

	if (file_exists("data/fonts/input.txt")) {
		$maj_font_input = file_get_contents("data/fonts/input.txt");
		echo "\n\tfont-family: $maj_font_input,\"lucida grande\",\"arial\",\"helvetica\",\"sans-serif\";";
	}
	
	echo "\n";
	
	?>
}

.input:focus, .search:focus {
	background: #ffffcc;
}

.click {
	padding: 2px;
	width: 300px; 
	color: #666666; 
	background: #ffffff;
	border: #999999 solid 1px;
	font-weight: bold;
	font-family: "lucida grande","arial","helvetica","sans-serif";
	<?php
	
	echo "font-size: $maj_font_Mpx;";

	if (file_exists("data/colors/border.txt")) {
		$maj_input_color = file_get_contents("data/colors/border.txt");
		echo "\n\tcolor: $maj_input_color;";
	}

	if (file_exists("data/colors/border.txt")) {
		$maj_input_color = file_get_contents("data/colors/border.txt");
		echo "\n\tborder-color: $maj_input_color;";
	}

	if (file_exists("data/fonts/input.txt")) {
		$maj_font_input = file_get_contents("data/fonts/input.txt");
		echo "\n\tfont-family: $maj_font_input,\"lucida grande\",\"arial\",\"helvetica\",\"sans-serif\";";
	}
	
	echo "\n";
	
	?>
}

.click:focus {
	-moz-box-shadow: inset 1px 1px #cccccc;
	-webkit-box-shadow: inset 1px 1px #cccccc;
	-khmtl-box-shadow: inset 1px 1px #cccccc;
	box-shadow: inset 1px 1px #cccccc;
}

.click::-moz-focus-inner,input[type="reset"]::-moz-focus-inner,input[type="button"]::-moz-focus-inner,input[type="submit"]::-moz-focus-inner,input[type="file"] > input[type="button"]::-moz-focus-inner {
	border: none;
}

.search {
	padding: 2px;
	width: 100%;
	color: #666666; 
	background: #ffffff;
	border: #dedede solid 1px;
	font-family: "lucida grande","arial","helvetica","sans-serif";
	<?php
	
	echo "font-size: $maj_font_Ipx;";
	
	if (file_exists("data/fonts/input.txt")) {
		$maj_font_input = file_get_contents("data/fonts/input.txt");
		echo "\n\tfont-family: $maj_font_input,\"lucida grande\",\"arial\",\"helvetica\",\"sans-serif\";";
	}
	
	if (file_exists("data/colors/border.txt")) {
		$maj_input_color = file_get_contents("data/colors/border.txt");
		echo "\n\tborder-color: $maj_input_color;";
	}
	
	?>					
}

.mbadge {
	width: 80px;
	padding: 1px;
	margin: 0px 0px 3px 0px;
	color: #ccc;
	background-color: #fff;
	border: 1px solid #dedede;
	font-family: "lucida grande","arial","helvetica","sans-serif";
	font-size: 9px;
	-webkit-box-shadow: 0 0 1px #ddd;
	-khtml-box-shadow: 0 0 1px #ddd;
	-moz-box-shadow: 0 0 1px #ddd;
	box-shadow: 0 0 1px #ddd;
	margin-left: auto;
	margin-right: auto;
}

a.mblink:link,a.mblink:visited,a.mblink:active,a.mblink:hover {
	text-decoration: none;
	color: #ccc;
	font-size: 9px;
	font-weight: bold;
}

.mbox1, .mbox2 {
	font-weight: bold;
	text-align: center;
	display: inline-block;
	border: 1px solid #dedede;
	font-size: 9px;
}

.mbox1 {
	width: 25px;
	margin: 0px 1px 0px 0px;
	color: #fff;
	background-color: #ffa443;
	border-color:#FC9 #888 #777 #F96;
	-moz-box-shadow: inset 0px 2px 2px #f60, inset 0px 4px 4px #ff7400, inset 0px 6px 6px #ffaa33;
	-webkit-box-shadow: inset 0px 2px 2px #f60, inset 0px 4px 4px #ff7400, inset 0px 6px 6px #ffaa33;
	-khtml-box-shadow: inset 0px 2px 2px #f60, inset 0px 4px 4px #ff7400, inset 0px 6px 6px #ffaa33;
	box-shadow: inset 0px 2px 2px #f60, inset 0px 4px 4px #ff7400, inset 0px 6px 6px #ffaa33;
}

.mbox2 {
	width: 50px;
	margin: 0px;
	border-color: #dedede;
}

.azoom {
	-webkit-transition: all .3s ease-out;
	-moz-transition: all .3s ease-out;
	-o-transition: all .3s ease-out;
	transition: all .3s ease-out; 
	-ms-transition: all .3s ease-out;
	padding: 0 0 6px 0;
}

.azoom:hover {
	-moz-transform: scale(1.3) rotate(-10deg);
	-webkit-transform: scale(1.3) rotate(-10deg);
	-o-transform: scale(1.3) rotate(-10deg);
	transform: scale(1.3) rotate(-10deg);
	-ms-transform: scale(1.3) rotate(-10deg);
	padding: 3px;
	position: relative;
	background: #fff;
	-moz-box-shadow: 1px 1px 3px #222;
	-khtml-box-shadow: 1px 1px 3px #222;
	-webkit-box-shadow: 1px 1px 3px #222;
	box-shadow: 1px 1px 3px #222;
}

<?php if (file_exists("data/css.txt")) { readfile("data/css.txt"); } ?>

</style>
