<?php

session_start();

header("Cache-control: private");

error_reporting(E_ERROR);

require("core.php");

if (isset($_SESSION['logged_in']) and ($_SESSION['user_agent'] != $_SERVER['HTTP_USER_AGENT'])) {
	header("Location: login.php");
}

$login_username = file_get_contents("data/username.txt");

if (!isset($_SESSION['logged_in']) or ($_SESSION['logged_in'] != $login_username)) {
	exit();
}

if (!isset($_REQUEST['entry']) or empty($_REQUEST['entry'])) {
	exit();
}
else {
	$entry = trim($_REQUEST['entry']);
}

if ($dh_items = opendir("data/items")) {

	while (($entry_item = readdir($dh_items)) !== false) {

		if ($entry_item != "." && $entry_item != ".." && ($_REQUEST['entry'] != $entry_item)) {
			$target_items[] = $entry_item;
		}
	}
	closedir($dh_items);
}

rsort($target_items);

if (isset($_POST['target']) and !empty($_POST['target'])) {

	$target = trim($_POST['target']);

	if (isset($_POST['comment']) and !empty($_POST['comment']) and isset($_POST['type']) and !empty($_POST['type'])) {

		$comment = trim($_POST['comment']);
		$type = trim($_POST['type']);

		if (file_exists("data/items/$entry/comments/$type/$comment") and file_exists("data/items/$target")) {

			if (!file_exists("data/items/$target/comments")) {
				mkdir("data/items/$target/comments");
			}

			if (!file_exists("data/items/$target/comments/$type")) {
				mkdir("data/items/$target/comments/$type");
			}

			rename("data/items/$entry/comments/$type/$comment","data/items/$target/comments/$type/$comment");

			if ($type == "pending") {

				if (file_exists("data/comments/pending/$entry/count.txt")) {

					$count = file_get_contents("data/comments/pending/$entry/count.txt");

					if ($count <= 1) {
						rmdirr("data/comments/pending/$entry");
					}
					else {
						$count = $count - 1;
						$count_txt = fopen("data/comments/pending/$entry/count.txt","w");
						fwrite($count_txt,$count);
						fclose($count_txt);
					}
				}

				if (file_exists("data/comments/pending/$target/count.txt")) {

					$count = file_get_contents("data/comments/pending/$target/count.txt");
					$count = $count + 1;
				}
				else {
					$count = 1;
				}
	
				if (!file_exists("data/comments/pending/$target")) {
					mkdir("data/comments/pending/$target");
				}

				$count_txt = fopen("data/comments/pending/$target/count.txt","w");
				fwrite($count_txt,$count);
				fclose($count_txt);
			}
		}
	}
	else {
		if (!file_exists("data/items/$target/comments/live/$entry")) {

			if (!file_exists("data/items/$target/comments")) {
				mkdir("data/items/$target/comments");
			}

			if (!file_exists("data/items/$target/comments/live")) {
				mkdir("data/items/$target/comments/live");
			}

			rename("data/items/$entry","data/items/$target/comments/live/$entry");

			rename("data/items/$target/comments/live/$entry/body.txt","data/items/$target/comments/live/$entry/comment.txt");
			rename("data/items/$target/comments/live/$entry/date.txt","data/items/$target/comments/live/$entry/timestamp.txt");

			if (file_exists("data/items/$target/comments/live/$entry/author.txt")) {

				$author = file_get_contents("data/items/$target/comments/live/$entry/author.txt");

				if ($author != file_get_contents("data/username.txt") and file_exists("data/members/active/$author")) {

					copy("data/members/active/$author/firstname.txt","data/items/$target/comments/live/$entry/firstname.txt");
					copy("data/members/active/$author/lastname.txt","data/items/$target/comments/live/$entry/lastname.txt");
					copy("data/members/active/$author/email.txt","data/items/$target/comments/live/$entry/email.txt");

					if (file_exists("data/members/active/$author/url.txt")) {
						copy("data/members/active/$author/url.txt","data/items/$target/comments/live/$entry/url.txt");
					}
				}
				else {
					$author_name = explode(" ", file_get_contents("data/author.txt"));
					$author_fname = ucfirst(trim(str_replace(",","",$author_name[0])));
					$author_lname = ucfirst(trim(str_replace(",","",$author_name[1])));

					$fp_fname_txt = fopen("data/items/$target/comments/live/$entry/firstname.txt","w");
					fwrite($fp_fname_txt, $author_fname);
					fclose($fp_fname_txt);

					$fp_lname_txt = fopen("data/items/$target/comments/live/$entry/lastname.txt","w");
					fwrite($fp_lname_txt, $author_lname);
					fclose($fp_lname_txt);

					copy("data/email.txt","data/items/$target/comments/live/$entry/email.txt");
				}
			}

		}
	}

	if ($dh_members = opendir("data/members/active")) {

		while (($target_member = readdir($dh_members)) !== false) {

			if ($target_member != "." && $target_member != "..") {
	
				if (file_exists("data/members/active/$target_member/comments/unread/$entry")) {

					if (!file_exists("data/members/active/$target_member/comments/unread/$target")) {
						mkdir("data/members/active/$target_member/comments/unread/$target");
					}

					rmdirr("data/members/active/$target_member/comments/unread/$entry");
				}
			}
		}
		closedir($dh_members);
	}

	header("Location: index.php?entry=$target&show=comments");

	exit();
}

?>

<title>Move</title>

<style>

body {
	color: #666666;
	margin: 10px;
	padding: 0px;
	text-align: left;
	font-family: <?php
				if (file_exists("data/fonts/body.txt")) {
					$font_body = file_get_contents("data/fonts/body.txt");
					echo "{$font_body},";
				}
	?> arial, helvetica, sans-serif;
	background-color: #ffffff;
}

p, td {
	font-size: 11px;
}

a {
	font-weight: bold;
	text-decoration: none;
}

a:link, a:visited {
	color: #666666;
}

a:hover {
	color: #336699;
}

a:active {
	color: #336699;
}

.input { 	
	color: #666666; 
	background: #ffffff; 
	border: #999999 solid 1px; 
	width: 400px; 
	font-family: <?php
				if (file_exists("data/fonts/input.txt")) {
					$font_input = file_get_contents("data/fonts/input.txt");
					echo "{$font_input},";
				}
	?> arial, helvetica, sans-serif;
	font-size: 11px 
}

</style>

<table border="0" cellspacing="1" cellpadding="1">
<form action="move.php" method="post">
<tr><td>current entry</td><td width="5"></td><td><b>


<?php echo file_get_contents("data/items/{$_REQUEST['entry']}/title.txt"); ?>

<input type="hidden" name="entry" value="<?php echo trim($_REQUEST['entry']); ?>">

<?php

if (isset($_REQUEST['comment']) and !empty($_REQUEST['comment']) and isset($_REQUEST['type']) and !empty($_REQUEST['type'])) {

	echo "<input type=\"hidden\" name=\"comment\" value=\"{$_REQUEST['comment']}\">";
	echo "<input type=\"hidden\" name=\"type\" value=\"{$_REQUEST['type']}\">";

}

?>

</b></td></tr>

<tr><td>target entry</td><td width="5"></td><td>
<select class="input" name="target" autofocus>

<?php

foreach ($target_items as $target_entry) {

	echo "<option value=\"$target_entry\">";
	readfile("data/items/$target_entry/title.txt");
	echo "</option>";

}

?>

</select>
</td></tr>

<tr><td></td><td width="5"></td><td><input type="submit" class="input" value="click here to move <?php
	if (isset($_REQUEST['comment']) and !empty($_REQUEST['comment'])) {
		echo "comment";
	}
	else {
		echo "entry";
	}
?>"></td></tr>
</form>

<form action="index.php" method="get">
<tr><td></td><td width="5"></td><td>
<input type="hidden" name="entry" value="<?php echo trim($_REQUEST['entry']); ?>">
<input type="hidden" name="show" value="comments">
<input type="submit" class="input" value="click here to go back to the current entry">
</td></tr>
</form>

<form action="index.php" method="post">
<tr><td></td><td width="5"></td><td><input type="submit" class="input" value="click here to go to the index page"></td></tr>
</form>
</table>
